-- MySQL Workbench Synchronization
-- Generated: 2022-05-06 14:33:28
-- Model: nccs
-- Version: D07.03.26
-- Project: idsteServers
-- Author:


SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';

DROP TABLE IF EXISTS `I18n`;
CREATE TABLE `I18n` (
    `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
    `project_type` smallint NOT NULL COMMENT '项目类型 0：前端PC。1：移动端',
    `lang` varchar(255) COLLATE utf8mb4_bin NOT NULL COMMENT '语言名称 格式，如zh-CN，en-US',
    `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
    `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
    PRIMARY KEY (`id`),
    UNIQUE KEY `project_type_lang` (`project_type`,`lang`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;